#!/bin/bash
#
# /home/eric/bin/ecamynthes/ecanoscl-i.sh
# eric@zhevny.com
#
# FIXME: -this should be a .ecs file. is .ecs parsing broken? 
#          or am I (more likely) writing it wrong?
#        -zipper noise when -ea: -km's midi controller is used
#        -audio glitches in analogueOsc output. xrun-related?
#        -add controls for warm, instability and waveform
#        -add interpolation to analogueOsc Hz port
#
# FIXED: -this was because the rtnull object is not meant for this kind of settup
#          it is clocked against the sytem clock rather than the soundcard clock
#              generates a lot of xruns reported by ecasound's rtnull
#        -this is now irrelevant since 2 scripts aren't needed.
#              if -t:secs option is set in this script to limit runtime, this 
#              script gets kicked out of the jack graph when ecanoscl-r.sh 
#        -I forgot that chain opperators have to be specified separately per chain
#              -ecasound should be able to generate the audio and write to
#              a file in one invocation with doubled up chains. for some
#        -well, ecasound doesn't need jack ... duh. this works fine now.
#              ecasound shouldn't need jack for this. There is something about
#              alsahw vs. alsaplugin vs. alsapcm and audio formats and .asoundrc
#              I'm not understanding or using correctly.

ecasound -t:60 -b:64 -f:32,1,48000 \
         -a:1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16 -i:null \
         -a:1,2,3,4,5,6,7,8 -o:alsahw,0,0 \
         -a:9,10,11,12,13,14,15,16 -f:24,1,48000 -o:/mnt/audio/in_progress/ecanoscl/`date +%Y-%m%d-%H%M-ecanoscl.wav` \
         -a:1  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,9,1  -ea:0 -km:1,0,130,17,1 \
         -a:2  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,10,1 -ea:0 -km:1,0,130,18,1 \
         -a:3  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,11,1 -ea:0 -km:1,0,130,19,1 \
         -a:4  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,12,1 -ea:0 -km:1,0,130,20,1 \
         -a:5  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,13,1 -ea:0 -km:1,0,130,21,1 \
         -a:6  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,14,1 -ea:0 -km:1,0,130,22,1 \
         -a:7  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,15,1 -ea:0 -km:1,0,130,23,1 \
         -a:8  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,16,1 -ea:0 -km:1,0,130,24,1 \
         -a:9  -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,9,1  -ea:0 -km:1,0,130,17,1 \
         -a:10 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,10,1 -ea:0 -km:1,0,130,18,1 \
         -a:11 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,11,1 -ea:0 -km:1,0,130,19,1 \
         -a:12 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,12,1 -ea:0 -km:1,0,130,20,1 \
         -a:13 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,13,1 -ea:0 -km:1,0,130,21,1 \
         -a:14 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,14,1 -ea:0 -km:1,0,130,22,1 \
         -a:15 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,15,1 -ea:0 -km:1,0,130,23,1 \
         -a:16 -el:analogueOsc,1,0,0,0,0 -km:2,20,2000,16,1 -ea:0 -km:1,0,130,24,1
